<?php

/*
////////////////////////////////////////////////////////////////////////////////
// JohnCMS                             Content Management System              //
// Официальный сайт сайт проекта:      http://johncms.com                     //
// Дополнительный сайт поддержки:      http://gazenwagen.com                  //
////////////////////////////////////////////////////////////////////////////////
// JohnCMS core team:                                                         //
// Евгений Рябинин aka john77          john77@gazenwagen.com                  //
// Олег Касьянов aka AlkatraZ          alkatraz@gazenwagen.com                //
//                                                                            //
// Информацию о версиях смотрите в прилагаемом файле version.txt              //
////////////////////////////////////////////////////////////////////////////////
*/


define('_IN_JOHNCMS', 1);

require('../incfiles/core.php');
// Ограничение доступа
if ($rights != 9){ 
  header("location: $home?err");
 exit;
}

// Задаем настройки системы
$req = mysql_query("SELECT * FROM `chat_settings`");
$chat_settings = array();
while ($res = mysql_fetch_row($req)) $chat_settings[$res[0]] = $res[1];
mysql_free_result($req);


// системные переменные
$headmod = 'admin';
$textl = 'Упр. чатом';
$set_chat = array();
$set_chat = unserialize($datauser['set_chat']);
if (!isset($set_chat) || empty($set_chat))
  $set_chat = array (
    'carea_w' => 20,
    'carea_h' => 2
  );
require('../incfiles/head.php');

/*
-----------------------------------------------------------------
Переключаем режимы работы
-----------------------------------------------------------------
*/
$array = array (
  'mod_bots',
  'mod_rooms',
  'mod_search',
  'mod_messages',
  'mod_phrases',
  'mod_chat'
);
if ($act && ($key = array_search($act, $array)) !== false && file_exists('includes/panel/' . $array[$key] . '.php')) {
  require('includes/panel/' . $array[$key] . '.php');
} else {

/*
-----------------------------------------------------------------
Вывод меню Админ панели чата
-----------------------------------------------------------------
*/
echo '<div class="phdr"><a href="../' . $set['admp'] . '/index.php"><b>Админ панель</b></a> | Управление чатом</div>';
$i = 0;
$soob = 0;
$soob_s = 0;
$room = mysql_query("SELECT * FROM `chat_rooms`");
while ($room_d = mysql_fetch_assoc($room)) {
  $soob = $soob + mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_room_" . $room_d['id'] . "`"), 0);
  $soob_s = $soob_s + mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_room_" . $room_d['id'] . "` WHERE `tip` = '1'"), 0);
 ++$i;
}
$boty = mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_bot`"), 0);
$vop = mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_vop`"), 0);
echo '<div class="gmenu"><p><h3><img src="../images/rate.gif" width="16" height="16" class="left" />&nbsp;Статистика</h3><ul>';
echo '<li>Боты:&#160;' . $boty . '</li>';
echo '<li>Фразы:&#160;' . $vop . '</li>';
echo '<li>Комнаты:&#160;' . $i . '</li>';
echo '<li>Сообщения <small><span class="gray">(всего)</span></small>:&#160;' . $soob . '</li>';
echo '<li>Сообщения <small><span class="gray">(скрытые)</span></small>:&#160;<span class="red">' . $soob_s . '</span></li>';
echo '</ul></p></div>';
echo '<div class="menu"><p><h3><img src="../images/settings.png" width="16" height="16" class="left" />&nbsp;Управление</h3><ul>';
echo '<li><a href="menu.php?act=mod_chat"><b>Настройки</b></a></li>';
if ($boty)
  echo '<li><a href="menu.php?act=mod_bots"><b>Боты</b></a> <small>(' . $boty . '/' . $vop . ')</small></li>';
else
  echo '<li><a href="menu.php?act=mod_bots&amp;mod=nev"><b>Добавить бота</b></a></li>';
if ($soob)
  echo '<li><a href="menu.php?act=mod_messages"><b>Очистка</b></a> <small>(' . $soob . '/<span class="red">' . $soob_s . '</span>)</small></li>';
if ($i)
  echo '<li><a href="menu.php?act=mod_rooms"><b>Комнаты</b></a> <small>(' . $i . ')</small></li>';
else
  echo '<li><a href="menu.php?act=mod_rooms&amp;mod=add"><b>Добавить комнату</b></a></li>';
echo '</ul></p></div>';
echo '<div class="phdr"><a href="index.php">В чат</a></div><p>';
echo '<a href="../' . $set['admp'] . '/index.php">Админ панель</a></p>';
}
require('../incfiles/end.php');

?>